issue_membership
POST /gov/v1/identity/membership/{project_uuid} Select code sample Fetch cURL
subjectDid required
Creates a governance statement for the review Next
issue_certificate
const url = 'https://example.com/gov/v1/identity/membership/example';const options = { method: 'POST', headers: {Authorization: 'Bearer
', 'Content-Type': 'application/json'}, body: '{"expiryDate":"2027-05-05T09:00:00Z","role":["example"],"subjectDid":"did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2"}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}
curl --request POST \ --url https://example.com/gov/v1/identity/membership/example \ --header 'Authorization: Bearer
' \ --header 'Content-Type: application/json' \ --data '{ "expiryDate": "2027-05-05T09:00:00Z", "role": [ "example" ], "subjectDid": "did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2" }'
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_uuid required stringRequest Body required
Section titled “Request Body required ” Media type application/json object expiryDate required stringExample
2027-05-05T09:00:00Z
role
Optional roles granted to the identity within the project.
ArrayDID of the agent/identity that belongs to the project.
stringExample
did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2
Responses
Section titled “ Responses ”200
Section titled “200 ”Project membership credential issued
Media type application/json object credential required object credentialId required string sourceCid required stringExample
{ "credentialId": "urn:uuid:aa115482-3a7d-498a-a05c-983722b501f8", "sourceCid": "bafybeibwzifp5oc5mirxgcq"}
Previous Creates a governance statement for the review Next
issue_certificate